GPGME-TOOL(1)

NAME
gpgme-tool - Assuan server exposing GnuPG Made Easy operations

SYNOPSIS
gpgme-tool [--server|-s] [--gpgme-binary=FILE] [--lib-version] [--usage] [--version|-V] [--help|-?]

DESCRIPTION

gpgme-tool is a test interface that can exercise the library functionality of GPGME. It is not currently intended for production use, but it can be a useful way to dynamically understand and experiment with the functionality available from the library. Running this tool in Server mode (the default mode) results in a text-based, command-driven session. When the tool produces (on its standard output) a line beginning with OK or ERR, you can provide it with a command on its standard input. Try the command HELP to see a list of available commands. Commands are case-insensitive. Status lines begin with an S, and data lines begin with a D.

OPTIONS

gpgme-tool accepts the following options on the command line:

OPTIONS

-s,--server
    Server mode (default)

--gpg-binary=FILE
    Use FILE for the GPG backend

--lib-version
    Show library version and terminate

-V,--version
    Print the currently installed version of GPGME to standard output.

-?,--help
    Print a list of command-line options.

--usage
    Print a synopsis of gpgme-tool's command line.

EXAMPLE

Below is an example interaction from a POSIX shell, with user-typed lines in italics, and data returned by gpgme-tool in bold:
user@host:~$ gpgme-tool
OK GPGME-Tool 1.7.0 ready
strerror 20
D Unknown compression algorithm <Unspecified source>
OK
version
D 1.7.0
OK
armor
S ARMOR false
OK
armor true
OK
armor
S ARMOR true
OK
bye
OK closing connection
user@host:~$

AUTHORS

The GPGME library is written by many contributors, including Werner Koch, Marcus Brinkmann, Andre Heinecke, Justus Winter, and Karl-Heinz Zimmer.

This manual page page was written by Daniel Kahn Gillmor for the Debian distribution (but may be used by others).

BUGS

Please report bugs to <https://bugs.gnupg.org>.

COPYRIGHT
gpgme-tool is Copyright © 2015-2016 g10 Code GmbH License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/>

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
gpgme-config(1), /usr/include/gpgme.h, info gpgme